Name: gtkjournal
Version: 0.3.5b
Release: alt0.2.1

Summary: Journal/diary with encryption support
Summary(ru_RU.CP1251):       
License: GPL
Group: Graphical desktop/GNOME

Url: http://linuxhelp.homeunix.com/gtkjournal/
Packager: Andrey Rahmatullin <wrar@altlinux.ru>
Source: %url/%name-%version.tar.gz
Patch0: %name-0.3.5b-alt-gtkmm2.4-compile-fixes.patch
Patch1: %name-0.3.5b-alt-gtkmm2.4-toolbar.patch
#Patch2: %name-0.3.5b-alt-modal.patch
Patch2: %name-0.3.5b-gtk2.5-workaround.patch

BuildPreReq: gcc-c++ glib2-devel libglibmm-devel 
BuildPreReq: libgtkspell-devel libsigc++2.0-devel libssl-devel 
BuildPreReq: pkgconfig sqlite-devel 
BuildPreReq: libgtkmm2-devel >= 2.4

%description
Gtk+ Journal is a Journal/Diary application written using the C++
bindings for Gtk+2 (gtkmm). It uses SQlite to store your entries, and
the OpenSSL implementations of the BlowFish and SHA-1 algorithms to
keep your data safe.

%description -l ru_RU.CP1251
Gtk+ Journal -     .   SQlite
     BlowFish  SHA-1   .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
export gtkmm_ver=2.4
%__subst "s|gtkmm-2.0|gtkmm-$gtkmm_ver|" configure.ac
autoreconf -fisv

%build
%if "%{get_SVR libgtkmm2-devel}" < "2.4.7-alt2"
export ac_cv_path_PKG_CONFIG="%_bindir/pkg-config --recursive"
%endif
%configure --enable-gtkspell
%make_build

%install
%makeinstall
%__ln_s -f /usr/share/license/GPL-2 COPYING

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING
%_bindir/*
%_libdir/*.so.*
%_mandir/man?/*

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.5b-alt0.2.1
- Rebuilt with libstdc++.so.6.

* Thu Jan 06 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.2
- workaround for working with gtk2 >= 2.5
- rebuild with libgtkmm2-devel-2.4.7-alt2 (fixed linking), add conditional
- fix building with libgtkmm2 > 2.4

* Sun Nov 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.3.5b-alt0.1
- initial build
- port to gtkmm 2.4
